﻿//////////////////////////////////////////////
// GltfEncoderWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT GltfEncoderWrapper final
	{
		private :

			// Constructeur, destructeur
			GltfEncoderWrapper () = delete ;
			~GltfEncoderWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			static nkScripts::OutputValue canDecode (const nkScripts::DataStack& stack) ;
			static nkScripts::OutputValue decode (const nkScripts::DataStack& stack) ;
	} ;
}